<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class TestMail extends Mailable
{
    use Queueable, SerializesModels;

    public string $body;

    public function __construct(string $body = 'This is a test email from Skinbase.')
    {
        $this->body = $body;
    }

    public function build()
    {
        return $this->subject('Skinbase Test Mail')->html("<p>{$this->body}</p>");
    }
}
